This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 769342

Summary: GConf D-BUS error breaks evolution
Product: [Fedora] Fedora Reporter: Máirín Duffy <duffy>
Component: evolutionAssignee: Matthew Barnes <mbarnes>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: cooly, extras-orphan, mbarnes, mcrha
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-21 04:08:36 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
gconf2 dbus error dialog none

Description Máirín Duffy 2011-12-20 09:43:36 EST
Description of problem:

Randomly, at least once a day in my GNOME shell session, the dialog in the attached screenshot pops up:

"GConf error: configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down. All further errors shown only on terminal."

- This happens when I'm in any application in GNOME 3 it seems. Last night it happened while I was in Inkscape.

- This morning, evolution crashed - it just disappeared suddenly from my screen and I looked in the GNOME shell dock and it was no longer running. I clicked on the evolution icon to run it again - it would not run. Instead, the attached dialog popped up.

The "work-around" the issue I found so I can open evolution and read my mail is to kill -9 /usr/libexec/gconfd-2. However, it's kind of disruptive and it seems to occur on a daily basis at this point.

Version-Release number of selected component (if applicable):

GNOME 3.2
fedora-release-16-1.noarch
GConf2-3.2.3-1.fc16.x86_64
evolution-3.2.1-2.fc16.x86_64

How reproducible:

Sit in front of my laptop for a few hours and it will happen without fail. However, I don't know how to trigger it. I use suspend on my laptop a lot so maybe it's related.

Additional info:

If there's any config files I can attach that might help let me know.
Comment 1 Máirín Duffy 2011-12-20 09:44:20 EST
Created attachment 548847 [details]
gconf2 dbus error dialog
Comment 2 Milan Crha 2011-12-21 04:08:36 EST
Thanks for a bug report. I doubt it's evolution's issue, though. The only thing on evolution's side would be that evolution is using GConf from multiple threads, and it's unpredictable whether the operations on GConfClient will interleave or not. The GConfClient should be should be thread-safe. That's my opinion.

*** This bug has been marked as a duplicate of bug 756245 ***